//@import "~bootstrap/scss/variables";
//@import "~bootstrap/scss/functions";
@import '~bootstrap/scss/mixins/breakpoints';

$button-palette: (
  'primary': $primaryMap,
  'secondary': $secondaryMap,
  'success': $successMap,
  'info': $selectedMap,
  'warning': $warningMap,
  'danger': $dangerMap,
);

//$button-outline-palette: map-merge($button-palette,
//  (
//    "secondary": ( default: color("neutrals", "dark")),
//    "light": ( default: color("neutrals", "greyest"))
//  )
//);

$btn-border-radius: 6px;
$btn-border-radius-lg: $btn-border-radius;
$btn-border-radius-sm: $btn-border-radius;
$btn-border-width: 0;
$btn-disabled-opacity: 0.3;
$btn-line-height-lg: 3;
$btn-padding-x: 24px;
$btn-focus-width: 0;
$btn-line-height-lg: 1;

.btn.btn-secondary {
  font-weight: 400 !important;
}

.btn-secondary:not(:disabled):not(.disabled),
.btn-secondary {
  &:hover {
    color: $nlbIndigoShadeColor !important;
  }
}

.btn-secondary.positive {
  font-size: 16px;
}

.btn-secondary.negative {
  font-size: 16px;
  color: $nlbRedColor !important;
  &:hover {
    color: $nlbRedShadeColor !important;
  }
}
.top-navbar {
  .btn-toggler {
    background: $nlbWhiteColor;
    text-align: left;
  }
}

.btn-green {
  min-width: 120px;
  background: $nlbGreenColor !important;
  color: $nlbWhiteColor !important;
  &:hover {
    background: $nlbGreenShadeColor !important;
  }
}

.btn-danger,
.btn-red {
  background: $nlbRedColor !important;
  color: $nlbWhiteColor !important;
  &:hover {
    background: $nlbRedShadeColor !important;
  }
}

.btn.rounded {
  min-width: 40px;
  width: 40px;
  height: 40px;
  padding: 0;
  border-radius: 50% !important;
}

.btn i + span {
  margin-left: 12px !important;
}

.btn.new-payment-btn {
  @include media-breakpoint-down(sm) {
    min-width: 40px;
    width: 40px;
    padding: 0;
    border-radius: 50%;

    span {
      display: none;
    }
  }
}
